#!/usr/bin/env node

const Shell = require('node-powershell')
const { PSCommand } = require('node-powershell')

const ps = new Shell({
  executionPolicy: 'Bypass',
  noProfile: true,
  pwsh: true
})

// Execute Script
const script = new PSCommand(`& "${require('path').resolve(__dirname, 'src/main.ps1')}"`)

ps.addCommand(script)

ps.invoke()
  .then(output => {
    console.log("Success", output)
    if(output.indexOf("{ There are schema validations that failed, failing the scan. }") !== -1)
    {
      return process.exit(1)

    }else {
      return process.exit(0)
    }
  })
  .catch(err => {
    console.log("Error:", err)
    return process.exit(1)
  })
